Name:       libkqueue
Summary:    Userspace implementation of kqueue(2) from BSD
Version:    2.0.3
Release:    1%{?dist}
# The entire source code is MIT, event.h which is BSD (2-clause)
License:    MIT and BSD
Group:      System Environment/Libraries
URL:        https://github.com/mheily/libkqueue
Source0:    https://github.com/mheily/libkqueue/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: autoconf, automake, libtool

%description
A user space implementation of the kqueue(2)
kernel event notification mechanism. libkqueue
acts as a translator between the kevent structure
and the native kernel facilities.

%package devel
Group:      Development/Libraries
Summary:    Development files for %{name}
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for libkqueue, a user-space
implementation of kqueue(2).

%prep
%setup -q

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
%configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-static
%make_build

%install
%make_install
# Delete any *.la files
rm -rf %{buildroot}%{_libdir}/*.la

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc ChangeLog README.md BUGS
%license LICENSE
%{_libdir}/libkqueue.so.*

%files devel
%dir %{_includedir}/kqueue
%dir %{_includedir}/kqueue/sys
%{_libdir}/libkqueue.so
%{_includedir}/kqueue/sys/event.h
%{_libdir}/pkgconfig/libkqueue.pc
%{_mandir}/man2/kqueue.2.*

%changelog
* Thu Jan 07 2016 Neal Gompa <ngompa13{%}gmail{*}com> - 2.0.3-1
- Initial packaging
